# Class MediaSize.Engineering

java.lang.Object
javax.print.attribute.standard.MediaSize.Engineering

Enclosing class:
  `MediaSize`

public static final class MediaSize.Engineering extends Object
Class `MediaSize.Engineering` includes `MediaSize` values for engineering media.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MediaSize`
  `A`
  Specifies the engineering A size, 8.5 inch by 11 inch.
  `static final MediaSize`
  `B`
  Specifies the engineering B size, 11 inch by 17 inch.
  `static final MediaSize`
  `C`
  Specifies the engineering C size, 17 inch by 22 inch.
  `static final MediaSize`
  `D`
  Specifies the engineering D size, 22 inch by 34 inch.
  `static final MediaSize`
  `E`
  Specifies the engineering E size, 34 inch by 44 inch.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### A

    public static final MediaSize A
    Specifies the engineering A size, 8.5 inch by 11 inch.

  - ### B

    public static final MediaSize B
    Specifies the engineering B size, 11 inch by 17 inch.

  - ### C

    public static final MediaSize C
    Specifies the engineering C size, 17 inch by 22 inch.

  - ### D

    public static final MediaSize D
    Specifies the engineering D size, 22 inch by 34 inch.

  - ### E

    public static final MediaSize E
    Specifies the engineering E size, 34 inch by 44 inch.